Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.jsystems.framework.common.action.swing
Class UndoableEditAction

    java.lang.Object
      de.jsystems.framework.common.action.AbstractAction
          de.jsystems.framework.common.action.swing.UndoableEditAction

All Implemented Interfaces:
  EventListener, UndoableEditListener

public class UndoableEditAction
extends AbstractAction
implements UndoableEditListener

Actionimplementierung fuer UndoableEditEvent.

Version:
  1.0
  Copyright by Jens Homm 2001 - 2004
Author:
  Jens Homm JSYSTEMS

Constructor Summary
`UndoableEditAction()`

Method Summary
`void` | `doUndoableEditHappened(UndoableEditEvent uee)` Abgeleitete Klassen müssen diese Methode ueberschreiben.
`void` | `undoableEditHappened(UndoableEditEvent uee)`

Methods inherited from class de.jsystems.framework.common.action.AbstractAction
`addControl, disable, enable, exceptionInAction, getController, getControls, getException, getView, hasException, initialize, isEnabled, removeAll, removeControl, setException`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### UndoableEditAction

    public UndoableEditAction()

Method Detail

### undoableEditHappened

    public void undoableEditHappened(UndoableEditEvent uee)

  Specified by:
    `undoableEditHappened` in interface `UndoableEditListener`

### doUndoableEditHappened

    public void doUndoableEditHappened(UndoableEditEvent uee)
                                throws Exception

  Abgeleitete Klassen müssen diese Methode ueberschreiben. Hierin passiert die eigentliche Aktion der Action.

  Parameters:
    `uee` - Das Eventobjekt mit dem ausgeloesten Event.
  Throws:
    `Exception` - wenn beim ausfuehren der Methode ein Fehler auftritt.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD